#### D.12.2.16 babyGiant

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  babyGiant(b,y,p);

Return:
  the discrete logarithm x: b^x=y mod p

Note:
  This procedure works based on Shank's baby step - giant step method.

Example:

    LIB "crypto.lib";
    bigint b=2;
    bigint y=10;
    bigint p=101;
    babyGiant(b,y,p);
    ==> 25

User manual for Singular version 4.4.1, 2025, generated by texi2html.